org.apache.myfaces.trinidad.model

## Enum RowKeyChangeEvent.Cause

- java.lang.Object
- - java.lang.Enum<RowKeyChangeEvent.Cause>
  - - org.apache.myfaces.trinidad.model.RowKeyChangeEvent.Cause

- All Implemented Interfaces:
    Serializable, Comparable<RowKeyChangeEvent.Cause>
  Enclosing class:
    RowKeyChangeEvent

      public static enum RowKeyChangeEvent.Cause
      extends Enum<RowKeyChangeEvent.Cause>

  The operation that triggers row key to change

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE`
    `INSERT`
    `UPDATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RowKeyChangeEvent.Cause` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RowKeyChangeEvent.Cause[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPDATE

          public static final RowKeyChangeEvent.Cause UPDATE

    - #### INSERT

          public static final RowKeyChangeEvent.Cause INSERT

    - #### DELETE

          public static final RowKeyChangeEvent.Cause DELETE

  - ### Method Detail

    - #### values

          public static RowKeyChangeEvent.Cause[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RowKeyChangeEvent.Cause c : RowKeyChangeEvent.Cause.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RowKeyChangeEvent.Cause valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.